****************************************************************************
**		File name:	regional comparison
**		Authors: 	Liran Harsgor, Orit Kedar, Raz Sheinerman
**		Date: 		Final version: August 4 2015
**		Purpose: 	Produce Figure A3					 							
**		input:		policymeans.dta
*****************************************************************************

use "policymeans.dta", clear
capture log using "lpolmeans.log", replace

* Generate an id variable in order to present policy means in graphs
* according to their order of appearance in data  
gen polnum=_n

*** Produce Figure A3
* Labour
graph dot labgen laboslo labwest, over(poltype, ///
sort(polnum) descending  label(labsize(small) alternate)) ///
marker(1, mcolor(black) msize(medium) msymbol(X)) ///
marker(2, mcolor(black) msize(medium) msymbol(d)) ///
marker(3, mcolor(black) msize(medium) msymbol(o)) ///
linetype(line) line(lwidth(thin)) ///
exclude0 ylabel(1(1)4) fxsize(100) ///
legend(off) scheme(s2mono) graphregion(fcolor(white))
graph save "labpolicy.gph", replace

*Conservatives
graph dot consgen consoslo conswest, over(consp, ///
sort(polnum) descending  label(labsize(small) alternate)) ///
marker(1, mcolor(black) msize(medium) msymbol(X)) ///
marker(2, mcolor(black) msize(medium) msymbol(d)) ///
marker(3, mcolor(black) msize(medium) msymbol(o)) ///
linetype(line) line(lwidth(thin)) ///
exclude0 ylabel(1(1)5) fxsize(70) ///
legend(off) scheme(s2mono) graphregion(fcolor(white))
graph save "conspolicy.gph", replace

graph combine "labpolicy.gph" "conspolicy.gph", scheme(s2mono) graphregion(fcolor(white))

graph save "Figure A3.gph", replace


log close






